lp:~ubuntu-dev/bug-buddy/ubuntu

Created by Didier Roche on 2009-03-17 and last modified on 2009-09-22
Get this branch:
bzr branch lp:~ubuntu-dev/bug-buddy/ubuntu
Members of Ubuntu Development Team can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu Development Team
Project:
Bug Buddy
Status:
Development

Recent revisions

13. By Christophe Sauthier on 2009-09-22

releasing version 2.28.0+dfsg-0ubuntu1

12. By Christophe Sauthier on 2009-09-22

* New upstream version (LP: #434151)
  - 2.28.0
    + Updated translations
  - 2.27.92 ("The Fixer")
    + Drop gnome-menus dependency (Vincent Untz)

11. By Christophe Sauthier on 2009-09-22

change bzr-vcs tag to point to
https://code.launchpad.net/~ubuntu-dev/bug-buddy/ubuntu

10. By Christophe Sauthier on 2009-09-22

* debian/control.in:
  - build-depends on libgnome-menu-dev removed to match configure checks.

9. By seb128 <seb128@seb128-laptop> on 2009-06-23

releasing version 2.27.1+dfsg-0ubuntu1

8. By Didier Roche on 2009-05-23

* Merge from debian unstable, remaining changes:
  + debian/control.in:
    - build-depends on libelf-dev rather than libelfg0-dev
    - VCS-bzr tag
    - re-generate debian/control
  + Adapt debian/watch to get unstable version
  + debian/bug-buddy.gconf-defaults:
    - don't use bug-buddy by default but rather let apport catch thei
      crashes
* Remove scrollkeeper dependency.
* New upstream release.
* debian/patches/02_disable_breakpad.patch,
  debian/patches/60_detect-and-link-x11.patch,
  debian/patches/70_automake-autoconf.patch:
  - Remove as applied upstream.
* debian/control.in:
  - Update Standards-Version to 3.8.1, no additional changes needed.
  - Build-Depends:
    + Remove libgnome and libgnomeui.
    + Bump libgtk2.0-dev to 2.14.0.
* Add missing build-dependency on libgconf2-dev.
* Build-depend explicitly on libx11-dev.
* Upload to unstable.
* New upstream release.
* 01_double-free.patch: dropped, merged upstream.

7. By seb128 <seb128@seb128-desktop> on 2009-03-17

releasing version 2.26.0+dfsg-0ubuntu1

6. By Didier Roche on 2009-03-17

dfsg the .orig.tar.gz

5. By Didier Roche on 2009-03-17

* New upstream release: (LP: #344132)
  - Don't hardcode a scrollkeeper check in the configure script.
  - Build correctly with --disable-eds.
  - Fix a segfault (Josseline Mouette).
  - Don't free uninitialized memory.
  - Drop libgnome and libgnomeui dependencies.
  - Make google-breakpad support optional (but enabled by default).
    Thanks to Sjoerd Simons.
  - Obtain the real path of the crashed process by looking in /proc.
    Thanks to Sam Morris and Matt Keenan.
  - Add an option to delete the included file after bug-buddy has
    processed it.
  - Implement a logger for pasting critical and fatal warnings in the
    stacktraces.
  - Include the loaded GTK+ modules in the stacktraces sent to bugzilla.
  - Update google-breakpad to SVN r290.
  - Compile with all the GLib/GTK+ deprecation flags.

4. By Didier Roche on 2009-03-17

* debian/patches:
  - remove 01_double-free.patch as taken upstream
  - remove 02_disable_breakpad.patch as upstream handle --disable-*
    (and so, --disable-google-breakpad)
  - refresh 70_automake-autoconf.patch

Branch metadata

Branch format:
Branch format 6
Repository format:
Bazaar pack repository format 1 (needs bzr 0.92)
This branch contains Public information 
Everyone can see this information.

Subscribers